import { Controller, Get, HttpCode, HttpStatus, Param } from '@nestjs/common';
import { TranslateService } from './translate.service';

@Controller({
  path: 'translations',
  version: '1',
})
export class TranslateController {
  constructor(private translateService: TranslateService) {}

  @Get(':language')
  @HttpCode(HttpStatus.OK)
  getTranslations(@Param('language') language: any) {
    return this.translateService.getTranslations(language);
  }
}
